---
sidebar_label: HTTPResponse.remoteAddress
---

# HTTPResponse.remoteAddress() method

The IP address and port number used to connect to the remote server.

#### Signature:

```typescript
class HTTPResponse {
  remoteAddress(): RemoteAddress;
}
```

**Returns:**

[RemoteAddress](./puppeteer.remoteaddress.md)
